Name:           vorta
Version:        0.8.12
Release:        2%{?dist}
Summary:        A GUI for Borg Backup
License:        GPL-3.0-only AND BSD-2-Clause AND OFL-1.1
# src/vorta/qt_single_application.py if BSD-2-Clause
# src/vorta/assets/icons are OFL-1.1
URL:            https://vorta.borgbase.com/
Source0:        https://github.com/borgbase/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

Requires:       borgbackup
Requires:       hicolor-icon-theme
Requires:       qt5-qtsvg

BuildArch:      noarch

%description
Vorta is a backup client for macOS and Linux desktops.
It integrates the mighty BorgBackup with your desktop environment
to protect your data from disk failure, ransomware and theft

%prep
%autosetup
# https://github.com/borgbase/vorta/issues/1690
sed -i 's/platformdirs >=2.6.0/platformdirs >=2.3.0/g' setup.cfg

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%check
# all tests require a GUI (pyqt5) to complete
# so they won't work in mock

%install
%pyproject_install
%pyproject_save_files %{name}
#%%py3_install
install -D -p -m 644 src/vorta/assets/icons/icon.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/com.borgbase.Vorta.svg
install -D -p -m 644 package/icon-symbolic.svg %{buildroot}%{_datadir}/icons/hicolor/symbolic/apps/com.borgbase.Vorta-symbolic.svg
install -D -p src/vorta/assets/metadata/com.borgbase.Vorta.desktop -t %{buildroot}%{_datadir}/applications/
install -D -p src/vorta/assets/metadata/com.borgbase.Vorta.appdata.xml -t %{buildroot}/%{_metainfodir}/

desktop-file-validate %{buildroot}/%{_datadir}/applications/com.borgbase.Vorta.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml


%files -f %{pyproject_files}
%doc README.md CONTRIBUTORS.md
%license LICENSE.txt
%{_bindir}/vorta
%{_datadir}/applications/com.borgbase.Vorta.desktop
%{_metainfodir}/com.borgbase.Vorta.appdata.xml
%{_datadir}/icons/hicolor/*/apps/com.borgbase.Vorta*.svg


%changelog
* Mon Apr 10 2023 Jonathan Wright <jonathan@almalinux.org> - 0.8.12-2
- Override minimum platformdirs version

* Mon Apr 10 2023 Jonathan Wright <jonathan@almalinux.org> - 0.8.12-1
- Update to 0.8.12

* Sun Apr 09 2023 Jonathan Wright <jonathan@almalinux.org> - 0.8.11-1
- Update to 0.8.11 rhbz#2185461

* Mon Jan 23 2023 Jonathan Wright <jonathan@almalinux.org> - 0.8.10-2
- Add requires qt5-qtsvg rhbz#2162072

* Sun Jan 22 2023 Jonathan Wright <jonathan@almalinux.org> - 0.8.10-1
- Update to 0.8.10 rhbz#2163001

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 07 2022 Jonathan Wright <jonathan@almalinux.org> - 0.8.9-1
- Update to 0.8.9 rhbz#2140355

* Mon Aug 22 2022 Jonathan Wright <jonathan@almalinux.org> - 0.8.7-1
- Initial package build
- Thanks to luminoso for his work in COPR
- rhbz#2120883
